| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Protocols
Protocols.LDAP
Protocols.LDAP.client

# Method Protocols.LDAP.client()->make_filter()

Method make_filter

  `object make_filter(string filter)`

Description

  Returns the ASN1 object parsed from the given filter. This is a wrapper for Protocols.LDAP.make_filter which parses the filter with the LDAP protocol version currently in use by this connection.

Throws

  If there's a parse error in the filter then a Protocols.LDAP.FilterError is thrown as from Protocols.LDAP.make_filter .